#ifndef _FETCH_LIST_OF_FINISHED_GROUPS_H
#define _FETCH_LIST_OF_FINISHED_GROUPS_H 1

#include <pqxx/transactor>
#include <vector>
#include "fetch_list_of_active_groups.h"

/*
 * A transactor that fetches the current list of finished groups (ie. parallels
 * with no non-NULL scores, that are not shown elsewhere on the bigscreen).
 */
class FetchListOfFinishedGroups : public pqxx::transactor<> {
private:
	unsigned tournament;
	std::vector<SkeletonGroup> *active;

public:
	FetchListOfFinishedGroups(unsigned tournament, std::vector<SkeletonGroup> *active);
	void operator() (pqxx::transaction<> &t);
};

#endif /* !defined(_FETCH_LIST_OF_FINISHED_GROUPS_H) */
