#ifndef _FONTS_H
#define _FONTS_H 1

#include <ft2build.h>
#include FT_FREETYPE_H
#include <vector>
#include "widestring.h"

struct TextDefer {
	widestring str;
	double size;
	unsigned xpos, ypos;

	bool changed;
};

void init_freetype();
void set_screen_size(unsigned width, unsigned height);
unsigned my_draw_text(const widestring &str, unsigned char *buf, double size, int xpos = 0, int ypos = 0, int r = 255, int g = 255, int b = 255);

// draw_all_deferred_text draws every string in current that is not the same in old, in red
void my_draw_text_deferred(std::vector<TextDefer> &td, const widestring &str, double size, int xpos, int ypos);
void draw_all_deferred_text(unsigned char *buf, std::vector<TextDefer> &current, std::vector<TextDefer> &old);

#endif /* !defined(_FONTS_H) */
